## glite-lb-harvester 1.2.3

=== Makefile ===
top_srcdir=..
stagedir=.
package=glite-lb-harvester
module.version=0.0.0
PREFIX=/opt/glite
prefix=
sysconfdir=/opt/glite/etc
globus_prefix=/opt/globus
libdir=lib

-include Makefile.inc
-include ${top_srcdir}/project/version.properties
version:=${module.version}

CC=gcc
VPATH=${top_srcdir}/src:${top_srcdir}/doc

CPPFLAGS:=-I${stagedir}${prefix}/include -D_GNU_SOURCE -D_REENTRANT ${CPPFLAGS}
CFLAGS:=-W -Wall -g -O2 ${CFLAGS}
LDFLAGS:=${LDFLAGS} 
ifeq (${thrflavour},)
LIBS:=-L${stagedir}${prefix}/${libdir} \
	-lglite_lb_common \
	-lglite_lb_client \
	-lpthread -lglite_security_gss
else
LIBS:=-L${stagedir}${prefix}/${libdir} \
	-lglite_lb_common_${thrflavour} \
	-lglite_lb_client_${thrflavour} \
	-lpthread -lglite_security_gss_${thrflavour}
endif

ifneq ($(GLITE_LB_HARVESTER_WITH_LBU_DB),no)
CPPFLAGS:=$(CPPFLAGS) -DWITH_LBU_DB=1
LIBS:=$(LIBS) -lglite_lbu_db
endif
ifeq ($(GLITE_LB_HARVESTER_WITH_OLD_LB),yes)
GLOBUS_GSSAPI_GSI_CFLAGS?=-I${globus_prefix}/include/${thrflavour}
CPPFLAGS:=${GLOBUS_GSSAPI_GSI_CFLAGS} $(CPPFLAGS) -DWITH_OLD_LB=1
LIBS:=$(LIBS) -lglite_wmsutils_cjobid
else
LIBS:=$(LIBS) -lglite_jobid -lglite_lbu_trio -lglite_lbu_log
endif

COMPILE:=libtool --mode=compile ${CC} ${CPPFLAGS} ${CFLAGS}
LINK:=libtool --mode=link ${CC} ${LDFLAGS}
INSTALL:=libtool --mode=install install

default: all

compile all: startup harvester doc debug

startup: ${top_srcdir}/config/startup
	glite_var="${localstatedir}/glite"; \
	if echo "${localstatedir}" | grep 'glite'>/dev/null; then \
		glite_var="${localstatedir}"; \
	fi; \
	sed -e 's:@glite_prefix@:${sysroot}${prefix}:' -e 's:@glite_etc@:${sysconfdir}:' -e "s:@glite_var@:$$glite_var:" $< > $@
	chmod +x $@

check:

debug: harvester-dbg

doc: glite-lb-harvester.1

stage: compile
	$(MAKE) install PREFIX=${stagedir}

install: compile
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples \
		${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} \
		${DESTDIR}${PREFIX}${prefix}/share/man/man1 \
		${DESTDIR}${PREFIX}${sysconfdir}/init.d \
		${DESTDIR}${PREFIX}${sysconfdir}/glite-lb
	${INSTALL} -m 755 harvester ${DESTDIR}${PREFIX}${prefix}/bin/glite-lb-harvester
	${INSTALL} -m 755 harvester-dbg ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-harvester-dbg
	${INSTALL} -m 755 ${top_srcdir}/examples/test.sh ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-harvester-test.sh
	${INSTALL} -m 444 ${top_srcdir}/examples/test.sql ${DESTDIR}${PREFIX}${sysconfdir}/glite-lb/harvester-test-dbsetup.sql
	${INSTALL} -m 444 ${top_srcdir}/doc/README ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	${INSTALL} -m 444 glite-lb-harvester.1 ${DESTDIR}${PREFIX}${prefix}/share/man/man1
	${INSTALL} -m 755 startup ${DESTDIR}${PREFIX}${sysconfdir}/init.d/glite-lb-harvester

clean:
	rm -rfv *.o *.lo *.loT .libs/ manpage.links manpage.refs
	rm -rvf harvester harvester-dbg glite-lb-harvester.* startup

distclean:
	rm -rvf Makefile.inc *.spec debian/

harvester: harvester.o
	${LINK} -o $@ $+ ${LIBS}

harvester-dbg: harvester-dbg.o
	${LINK} -o $@ $+ ${LIBS}

harvester-dbg.o: harvester.c
	${COMPILE} -DLOG=1 -DWITH_RTM_SQL_STORAGE=1 -c $< -o $@

%.o: %.c
	${COMPILE} -c $<

%.1: %.sgml
	docbook2man $<

.PHONY: default all compile debug check doc stage install clean distclean

=== debian/changelog ===
glite-lb-harvester (1.2.3-2) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 04 May 2012 14:43:04 +0200

=== debian/control ===
Source: glite-lb-harvester
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, docbook-utils, libglite-jobid-api-c-dev, libglite-lb-client-dev, libglite-lb-common-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-log-dev, libglite-lbjp-common-trio-dev, libtool
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-harvester
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Enhanced L&B notification client
 L&B Harvester gathers job info from L&B servers using efficient L&B
 notifications. It manages notifications and keeps track of them for reuse on
 next launch. It takes care of refreshing notifications and querying L&B back
 once a notification
 expires.

Package: glite-lb-harvester-dbg
Section: debug
Architecture: any
Priority: extra
Depends: glite-lb-harvester (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B harvester debugging symbols
 This package contains debugging symbols for gLite L&B harvester.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.harvester
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-harvester-1.2.3 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-harvester
	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-harvester; \
	 rm -fv ChangeLog LICENSE; \
	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installinit --onlyscripts --no-start
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=glite-lb-harvester-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lb-harvester 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,33 @@
 top_srcdir=..
 stagedir=.
 package=glite-lb-harvester
-module.version=0.0.0
 PREFIX=/opt/glite
 prefix=
 sysconfdir=/opt/glite/etc
 globus_prefix=/opt/globus
 libdir=lib
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
-version:=${module.version}
+
+version=${module.version}
 
 CC=gcc
 VPATH=${top_srcdir}/src:${top_srcdir}/doc
 
-CPPFLAGS:=-I${stagedir}${prefix}/include -D_GNU_SOURCE -D_REENTRANT ${CPPFLAGS}
+SOURCES=\
+	config/startup \
+	doc/* \
+	examples/test.* \
+	project/.post* project/.pre* \
+	src/*.c \
+	Makefile
+SOURCES_EXEC=config/startup examples/*.sh
+
+GLITE_LBJP_COMMON_GSS_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gss --cflags`
+CPPFLAGS:=-I${stagedir}${prefix}/include -D_GNU_SOURCE -D_REENTRANT ${GLITE_LBJP_COMMON_GSS_CFLAGS} ${CPPFLAGS}
 CFLAGS:=-W -Wall -g -O2 ${CFLAGS}
 LDFLAGS:=${LDFLAGS} 
 ifeq (${thrflavour},)
@@ -45,8 +57,6 @@
 COMPILE:=libtool --mode=compile ${CC} ${CPPFLAGS} ${CFLAGS}
 LINK:=libtool --mode=link ${CC} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
-
-default: all
 
 compile all: startup harvester doc debug
 
@@ -82,8 +92,9 @@
 	${INSTALL} -m 755 startup ${DESTDIR}${PREFIX}${sysconfdir}/init.d/glite-lb-harvester
 
 clean:
-	rm -rfv *.o *.lo *.loT .libs/ manpage.links manpage.refs
-	rm -rvf harvester harvester-dbg glite-lb-harvester.* startup
+	rm -rfv *.o *.lo *.loT .libs/ manpage.links manpage.refs *.log
+	rm -rvf harvester harvester-dbg glite-lb-harvester.1 startup
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -103,4 +114,4 @@
 %.1: %.sgml
 	docbook2man $<
 
-.PHONY: default all compile debug check doc stage install clean distclean
+.PHONY: default all compile debug check doc stage install clean distclean dist distcheck

=== debian/changelog ===
glite-lb-harvester (1.3.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-harvester-1.2.3 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-harvester
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-harvester-1.3.1 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-harvester
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-harvester; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

## glite-lb-harvester 1.3.8

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 VPATH=${top_srcdir}/src:${top_srcdir}/doc
 
 SOURCES=\
-	config/startup \
+	config/systemd.* config/startup \
 	doc/* \
 	examples/test.* \
 	project/.post* project/.pre* \
@@ -40,6 +40,16 @@
 	-lglite_lb_common_${thrflavour} \
 	-lglite_lb_client_${thrflavour} \
 	-lpthread -lglite_security_gss_${thrflavour}
+endif
+
+ifeq ($(os_type),debian)
+sysdefaultdir=${sysconfdir}/default
+else
+sysdefaultdir=${sysconfdir}/sysconfig
+endif
+
+ifeq ($(os_type),fedora)
+unitdir=`pkg-config systemd --variable=systemdsystemunitdir`
 endif
 
 ifneq ($(GLITE_LB_HARVESTER_WITH_LBU_DB),no)
@@ -65,7 +75,10 @@
 	if echo "${localstatedir}" | grep 'glite'>/dev/null; then \
 		glite_var="${localstatedir}"; \
 	fi; \
-	sed -e 's:@glite_prefix@:${sysroot}${prefix}:' -e 's:@glite_etc@:${sysconfdir}:' -e "s:@glite_var@:$$glite_var:" $< > $@
+	sed -e 's:@glite_prefix@:${sysroot}${prefix}:g' -e 's:@glite_etc@:${sysconfdir}:g' -e "s:@glite_var@:$$glite_var:g" -e 's:@defaultdir@:${sysdefaultdir}:g' $< > $@
+ifneq ($(os_type),debian)
+	sed -i 's/# \(Default-Start\|Default-Stop\):.*/# \1:/' $@
+endif
 	chmod +x $@
 
 check:
@@ -80,16 +93,22 @@
 install: compile
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples \
 		${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} \
+		${DESTDIR}${PREFIX}${prefix}/share/glite \
 		${DESTDIR}${PREFIX}${prefix}/share/man/man1 \
-		${DESTDIR}${PREFIX}${sysconfdir}/init.d \
 		${DESTDIR}${PREFIX}${sysconfdir}/glite-lb
 	${INSTALL} -m 755 harvester ${DESTDIR}${PREFIX}${prefix}/bin/glite-lb-harvester
 	${INSTALL} -m 755 harvester-dbg ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-harvester-dbg
 	${INSTALL} -m 755 ${top_srcdir}/examples/test.sh ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-harvester-test.sh
-	${INSTALL} -m 444 ${top_srcdir}/examples/test.sql ${DESTDIR}${PREFIX}${sysconfdir}/glite-lb/harvester-test-dbsetup.sql
+	${INSTALL} -m 444 ${top_srcdir}/examples/test.sql ${DESTDIR}${PREFIX}${prefix}/share/glite/glite-lb-harvester-test-dbsetup.sql
 	${INSTALL} -m 444 ${top_srcdir}/doc/README ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	${INSTALL} -m 444 glite-lb-harvester.1 ${DESTDIR}${PREFIX}${prefix}/share/man/man1
+ifeq ($(os_type),fedora)
+	mkdir -p ${DESTDIR}${PREFIX}${unitdir}
+	${INSTALL} -m 644 ${top_srcdir}/config/systemd.harvester ${DESTDIR}${PREFIX}${unitdir}/glite-lb-harvester.service
+else
+	mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/init.d
 	${INSTALL} -m 755 startup ${DESTDIR}${PREFIX}${sysconfdir}/init.d/glite-lb-harvester
+endif
 
 clean:
 	rm -rfv *.o *.lo *.loT .libs/ manpage.links manpage.refs *.log
@@ -97,7 +116,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 harvester: harvester.o
 	${LINK} -o $@ $+ ${LIBS}

=== debian/changelog ===
glite-lb-harvester (1.3.8-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, docbook-utils, libglite-jobid-api-c-dev, libglite-lb-client-dev, libglite-lb-common-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-log-dev, libglite-lbjp-common-trio-dev, libtool
+Build-Depends: debhelper (>= 7.0.50~), chrpath, docbook-utils, libglite-jobid-api-c-dev, libglite-lb-client-dev, libglite-lb-common-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-log-dev, libglite-lbjp-common-trio-dev, libtool, pkg-config
 Standards-Version: 3.9.1
 Section: misc
 Homepage: http://glite.cern.ch
@@ -13,7 +13,7 @@
 Package: glite-lb-harvester
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, glite-lbjp-common-log
 Description: Enhanced L&B notification client
  L&B Harvester gathers job info from L&B servers using efficient L&B
  notifications. It manages notifications and keeps track of them for reuse on

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+p_base=glite-lb-harvester
+p_dbg=glite-lb-harvester-dbg
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -27,7 +30,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -36,17 +39,15 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-harvester-1.3.1 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-harvester
-	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-harvester; \
-	 rm -fv ChangeLog LICENSE; \
-	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)
+	mkdir -p debian/$(p_base)/usr/share/doc
+	mv debian/tmp/usr/share/doc/glite-lb-harvester-1.3.8 debian/$(p_base)/usr/share/doc/$(p_base)
 
 binary-indep:
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman
@@ -55,7 +56,7 @@
 	dh_installcron
 	dh_install --fail-missing
 	dh_link
-	dh_strip --dbg-package=glite-lb-harvester-dbg
+	dh_strip --dbg-package=$(p_dbg)
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs

## glite-lb-harvester 1.3.12

=== Makefile ===
--- 
+++ 
@@ -18,13 +18,13 @@
 VPATH=${top_srcdir}/src:${top_srcdir}/doc
 
 SOURCES=\
-	config/systemd.* config/startup \
+	config/systemd.* config/startup config/startup.* \
 	doc/* \
 	examples/test.* \
 	project/.post* project/.pre* \
 	src/*.c \
 	Makefile
-SOURCES_EXEC=config/startup examples/*.sh
+SOURCES_EXEC=config/startup config/startup.* examples/*.sh
 
 GLITE_LBJP_COMMON_GSS_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gss --cflags`
 CPPFLAGS:=-I${stagedir}${prefix}/include -D_GNU_SOURCE -D_REENTRANT ${GLITE_LBJP_COMMON_GSS_CFLAGS} ${CPPFLAGS}
@@ -102,12 +102,17 @@
 	${INSTALL} -m 444 ${top_srcdir}/examples/test.sql ${DESTDIR}${PREFIX}${prefix}/share/glite/glite-lb-harvester-test-dbsetup.sql
 	${INSTALL} -m 444 ${top_srcdir}/doc/README ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	${INSTALL} -m 444 glite-lb-harvester.1 ${DESTDIR}${PREFIX}${prefix}/share/man/man1
+ifeq ($(os_type),redhat)
+	mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/rc.d/init.d
+	${INSTALL} -m 755 ${top_srcdir}/config/startup.redhat.harvester ${DESTDIR}${PREFIX}${sysconfdir}/rc.d/init.d/glite-lb-harvester
+endif
 ifeq ($(os_type),fedora)
 	mkdir -p ${DESTDIR}${PREFIX}${unitdir}
 	${INSTALL} -m 644 ${top_srcdir}/config/systemd.harvester ${DESTDIR}${PREFIX}${unitdir}/glite-lb-harvester.service
-else
+endif
+ifeq ($(os_type),debian)
 	mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/init.d
-	${INSTALL} -m 755 startup ${DESTDIR}${PREFIX}${sysconfdir}/init.d/glite-lb-harvester
+	${INSTALL} -m 755 ${top_srcdir}/config/startup.debian.harvester ${DESTDIR}${PREFIX}${sysconfdir}/init.d/glite-lb-harvester
 endif
 
 clean:

=== debian/changelog ===
glite-lb-harvester (1.3.12-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:05 +0200

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 clean: configure-stamp
 	dh_testdir
 	dh_testroot
-	rm -f configure-stamp build-stamp
+	rm -f configure-stamp build-stamp debian/glite-lb-harvester.init
 	$(MAKE) clean
 	rm -f Makefile.inc config.status *.spec
 	dh_clean
@@ -40,7 +40,11 @@
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	mkdir -p debian/$(p_base)/usr/share/doc
-	mv debian/tmp/usr/share/doc/glite-lb-harvester-1.3.8 debian/$(p_base)/usr/share/doc/$(p_base)
+	mkdir -p debian/$(p_dbg)/usr/share/doc
+	ln -s $(p_base) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
+	mv debian/tmp/usr/share/doc/glite-lb-harvester-1.3.12 debian/$(p_base)/usr/share/doc/$(p_base)
+	rm -rf debian/tmp/etc/init.d
+	cp -p config/startup.debian.harvester debian/glite-lb-harvester.init
 
 binary-indep:
 
@@ -52,7 +56,7 @@
 	dh_installexamples
 	dh_installman
 	dh_installlogrotate
-	dh_installinit --onlyscripts --no-start
+	dh_installinit
 	dh_installcron
 	dh_install --fail-missing
 	dh_link

## glite-lb-harvester 1.3.13

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
+docdir?=${prefix}/share/doc/${package}-${version}
 
 CC=gcc
 VPATH=${top_srcdir}/src:${top_srcdir}/doc
@@ -92,7 +93,7 @@
 
 install: compile
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples \
-		${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} \
+		${DESTDIR}${PREFIX}${docdir} \
 		${DESTDIR}${PREFIX}${prefix}/share/glite \
 		${DESTDIR}${PREFIX}${prefix}/share/man/man1 \
 		${DESTDIR}${PREFIX}${sysconfdir}/glite-lb
@@ -100,7 +101,7 @@
 	${INSTALL} -m 755 harvester-dbg ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-harvester-dbg
 	${INSTALL} -m 755 ${top_srcdir}/examples/test.sh ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-harvester-test.sh
 	${INSTALL} -m 444 ${top_srcdir}/examples/test.sql ${DESTDIR}${PREFIX}${prefix}/share/glite/glite-lb-harvester-test-dbsetup.sql
-	${INSTALL} -m 444 ${top_srcdir}/doc/README ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+	${INSTALL} -m 444 ${top_srcdir}/doc/README ${DESTDIR}${PREFIX}${docdir}
 	${INSTALL} -m 444 glite-lb-harvester.1 ${DESTDIR}${PREFIX}${prefix}/share/man/man1
 ifeq ($(os_type),redhat)
 	mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/rc.d/init.d

=== debian/changelog ===
glite-lb-harvester (1.3.13-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:44 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: glite-lb-harvester
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, glite-lbjp-common-log
+Depends: ${shlibs:Depends}, ${misc:Depends}, glite-lbjp-common-log, adduser
 Description: Enhanced L&B notification client
  L&B Harvester gathers job info from L&B servers using efficient L&B
  notifications. It manages notifications and keeps track of them for reuse on
@@ -26,5 +26,5 @@
 Architecture: any
 Priority: extra
 Depends: glite-lb-harvester (= ${binary:Version}), ${misc:Depends}
-Description: gLite L&B harvester debugging symbols
+Description: Debugging symbols for gLite L&B harvester
  This package contains debugging symbols for gLite L&B harvester.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.harvester
+	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --project=emi --module lb.harvester
 	touch $@
 
 build: build-arch build-indep
@@ -42,7 +42,7 @@
 	mkdir -p debian/$(p_base)/usr/share/doc
 	mkdir -p debian/$(p_dbg)/usr/share/doc
 	ln -s $(p_base) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
-	mv debian/tmp/usr/share/doc/glite-lb-harvester-1.3.12 debian/$(p_base)/usr/share/doc/$(p_base)
+	mv debian/tmp/usr/share/doc/$(p_base) debian/$(p_base)/usr/share/doc/$(p_base)
 	rm -rf debian/tmp/etc/init.d
 	cp -p config/startup.debian.harvester debian/glite-lb-harvester.init

## glite-lb-harvester 1.3.15

=== Makefile ===
--- 
+++ 
@@ -43,13 +43,9 @@
 	-lpthread -lglite_security_gss_${thrflavour}
 endif
 
-ifeq ($(os_type),debian)
-sysdefaultdir=${sysconfdir}/default
-else
-sysdefaultdir=${sysconfdir}/sysconfig
-endif
+sysdefaultdir?=${sysconfdir}/default
 
-ifeq ($(os_type),fedora)
+ifeq ($(os_type),systemd)
 unitdir=`pkg-config systemd --variable=systemdsystemunitdir`
 endif
 
@@ -86,28 +82,28 @@
 
 debug: harvester-dbg
 
-doc: glite-lb-harvester.1
+doc: glite-lb-harvester.8
 
 stage: compile
 	$(MAKE) install PREFIX=${stagedir}
 
 install: compile
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples \
+	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/sbin ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples \
 		${DESTDIR}${PREFIX}${docdir} \
 		${DESTDIR}${PREFIX}${prefix}/share/glite \
-		${DESTDIR}${PREFIX}${prefix}/share/man/man1 \
+		${DESTDIR}${PREFIX}${prefix}/share/man/man8 \
 		${DESTDIR}${PREFIX}${sysconfdir}/glite-lb
-	${INSTALL} -m 755 harvester ${DESTDIR}${PREFIX}${prefix}/bin/glite-lb-harvester
+	${INSTALL} -m 755 harvester ${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-harvester
 	${INSTALL} -m 755 harvester-dbg ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-harvester-dbg
 	${INSTALL} -m 755 ${top_srcdir}/examples/test.sh ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-harvester-test.sh
 	${INSTALL} -m 444 ${top_srcdir}/examples/test.sql ${DESTDIR}${PREFIX}${prefix}/share/glite/glite-lb-harvester-test-dbsetup.sql
 	${INSTALL} -m 444 ${top_srcdir}/doc/README ${DESTDIR}${PREFIX}${docdir}
-	${INSTALL} -m 444 glite-lb-harvester.1 ${DESTDIR}${PREFIX}${prefix}/share/man/man1
+	${INSTALL} -m 444 glite-lb-harvester.8 ${DESTDIR}${PREFIX}${prefix}/share/man/man8
 ifeq ($(os_type),redhat)
 	mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/rc.d/init.d
 	${INSTALL} -m 755 ${top_srcdir}/config/startup.redhat.harvester ${DESTDIR}${PREFIX}${sysconfdir}/rc.d/init.d/glite-lb-harvester
 endif
-ifeq ($(os_type),fedora)
+ifeq ($(os_type),systemd)
 	mkdir -p ${DESTDIR}${PREFIX}${unitdir}
 	${INSTALL} -m 644 ${top_srcdir}/config/systemd.harvester ${DESTDIR}${PREFIX}${unitdir}/glite-lb-harvester.service
 endif
@@ -118,7 +114,7 @@
 
 clean:
 	rm -rfv *.o *.lo *.loT .libs/ manpage.links manpage.refs *.log
-	rm -rvf harvester harvester-dbg glite-lb-harvester.1 startup
+	rm -rvf harvester harvester-dbg glite-lb-harvester.8 startup
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
@@ -136,7 +132,7 @@
 %.o: %.c
 	${COMPILE} -c $<
 
-%.1: %.sgml
+%.8: %.sgml
 	docbook2man $<
 
 .PHONY: default all compile debug check doc stage install clean distclean dist distcheck

=== debian/changelog ===
glite-lb-harvester (1.3.15-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:48 +0200

=== debian/control ===
Source: glite-lb-harvester
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), docbook-utils, libglite-jobid-api-c-dev, libglite-lb-client-dev, libglite-lb-common-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-log-dev, libglite-lbjp-common-trio-dev, libtool-bin, pkg-config
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch

Package: glite-lb-harvester
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, glite-lbjp-common-log, adduser
Description: Enhanced L&B notification client
 L&B Harvester gathers job info from L&B servers using efficient L&B
 notifications. It manages notifications and keeps track of them for reuse on
 next launch. It takes care of refreshing notifications and querying L&B back
 once a notification
 expires.

Package: glite-lb-harvester-dbg
Section: debug
Architecture: any
Depends: glite-lb-harvester (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B harvester
 L&B Harvester gathers job info from L&B servers using efficient L&B
 notifications. It manages notifications and keeps track of them for reuse on
 next launch. It takes care of refreshing notifications and querying L&B back
 once a notification
 expires.
 .
 This package contains debugging symbols for gLite L&B harvester.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_base=glite-lb-harvester
p_dbg=glite-lb-harvester-dbg

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --sysdefaultdir=/etc/default --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec
	rm -vf debian/glite-lb-harvester.init

override_dh_strip:
	dh_strip --dbg-package=$(p_dbg)

override_dh_auto_install:
	dh_auto_install
	rm -vf debian/tmp/usr/lib/*.la
	rm -rf debian/tmp/etc/init.d
	mkdir -p debian/$(p_base)/usr/share/doc
	mv debian/tmp/usr/share/doc/$(p_base) debian/$(p_base)/usr/share/doc/$(p_base)

override_dh_install:
	cp -p config/startup.debian.harvester debian/glite-lb-harvester.init
	dh_install --fail-missing

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_base)

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.harvester/glite-lb-harvester-(.*)\.tar\.gz
